Bug 1745466 - python2-nitrate fails to install in Fedora rawhide
Summary: python2-nitrate fails to install in Fedora rawhide
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nitrate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Martin Zelený
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1727936 1754904
Blocks: F31FailsToInstall F32FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-26 07:57 UTC by Miro Hrončok
Modified: 2019-10-01 13:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-01 13:02:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-26 07:57:58 UTC
python2-nitrate-1.4-3.fc31.noarch fails to install in Fedora rawhide:

  nothing provides python2-gssapi needed by python2-nitrate-1.4-3.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency, unretire the dependency or remove the package. Thanks

Comment 1 Miro Hrončok 2019-09-04 21:58:14 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2019-09-12 11:12:17 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Comment 3 Miro Hrončok 2019-09-20 22:41:44 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Comment 4 Karel Volný 2019-09-25 11:18:09 UTC
(I was told mzeleny is in charge now)

Comment 5 Martin Zelený 2019-09-25 13:30:08 UTC
Depends on Bug 1727936 - [RFE] Convert python-nitrate to python3​
We're working on it.

Comment 6 Miro Hrončok 2019-10-01 13:02:30 UTC
The package was retired in Fedora rawhide as nothing depends on it. If you need it for internal corporate tools, please move it there.


Note You need to log in before you can comment on or make changes to this bug.